//
//  SFParsingOperation.h
//  SFDeliciousApi
//
//  Created by Danilo Bonardi on 20/04/10.
//  Copyright 2010 Shiny Frog. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "SFDeliciousRequestType.h"
#import "SFDeliciousAPI.h"

@interface SFParsingOperation : NSOperation {

    NSString *identifier;
    NSData   *xmlData;
    SFDeliciousRequestType requestType;
    SFDeliciousResponseType responseType;
    SFDeliciousAPI* delegate;
}


- (id) initWithIdentifier:(NSString*)_identifier 
                     data:(NSData*)_xmlData 
              requestType:(SFDeliciousRequestType)_requestType 
             responseType:(SFDeliciousResponseType)_responseType 
                 delegate:(SFDeliciousAPI*)_delegate;

@end
