//
//  NSImage+Thumb.h
//  SFToolkit
//
//  Created by Matteo Rattotti on 2/27/09.
//  Copyright 2009 www.shinyfrog.net. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSImage (Thumb)

- (NSImage *) thumbForSize: (NSSize) imageSize 
             preserveRatio: (BOOL) preserveRatio 
            keepSquareRect: (BOOL) keepSquareRect 
        imageInterpolation: (NSImageInterpolation) imageInterpolation
           shouldAntialias: (BOOL) shouldAntialias	
   correctWithColorProfile: (id) colorProfile
                     alpha: (float) alpha;

- (NSImage *) thumbForSize:(NSSize) imageSize 
             preserveRatio: (BOOL) preserveRatio 
                     alpha: (float) alpha;

- (NSImage *) thumbForSize: (NSSize) imageSize 
             preserveRatio: (BOOL) preserveRatio;

- (NSImage *) squareThumbForSize: (NSSize) imageSize 
                   preserveRatio: (BOOL) preserveRatio;

@end
